library settingspage;

import 'package:flutter/material.dart';
import 'SettingsPage.Controller.dart';
import 'package:provider/provider.dart';

part 'Settings.UI.dart';

class SettingsPage extends StatefulWidget {
  SettingsPage({Key? key, required this.title, required this.changeNotifierClass, this.controller}) : super(key: key);
  final String title;
  final SettingsController? controller;
  final dynamic changeNotifierClass;
  static const routeName = '/settings';
  @override
  _SettingsPageState createState() => _SettingsPageState();
}

class _SettingsPageState extends State<SettingsPage> {
  @override
  Widget build(BuildContext context) {
    return _buildPageLayout(context);
  }
}
